<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/process_error/init.jsp" %>

<c:if test="<%= authException %>">
	<%@ include file="/process_error/error/error_auth_exception.jspf" %>
</c:if>

<c:if test="<%= duplicateLockException %>">
	<%@ include file="/process_error/error/error_duplicate_lock_exception.jspf" %>
</c:if>

<c:if test="<%= illegalArgumentException %>">
	<%@ include file="/process_error/error/error_illegal_argument_exception.jspf" %>
</c:if>

<c:if test="<%= layoutPrototypeException %>">
	<%@ include file="/process_error/error/error_layout_prototype_exception.jspf" %>
</c:if>

<c:if test="<%= noSuchExceptions %>">
	<%@ include file="/process_error/error/error_no_such_exceptions.jspf" %>
</c:if>

<c:if test="<%= remoteExportException %>">
	<%@ include file="/process_error/error/error_remote_export_exception.jspf" %>
</c:if>

<c:if test="<%= remoteOptionsException %>">
	<%@ include file="/process_error/error/error_remote_options_exception.jspf" %>
</c:if>

<c:if test="<%= systemException %>">
	<%@ include file="/process_error/error/error_system_exception.jspf" %>
</c:if>