<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/status/init.jsp" %>

<c:if test="<%= themeDisplayScopeGroup.isStagingGroup() %>">
	<c:choose>
		<c:when test="<%= stagedPortlet %>">
			<span class="label <%= cssClass %>">
				<liferay-ui:message key='<%= LanguageUtil.get(request, published ? "published" : "unpublished") %>' />
			</span>
		</c:when>
		<c:otherwise>
			<clay:label
				displayType="warning"
				label="not-staged"
			/>
		</c:otherwise>
	</c:choose>
</c:if>